Bug 89377 - Install packages in System Set Manager is applied to all systems subscribed to the same channel
Install packages in System Set Manager is applied to all systems subscribed t...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks: 88391
  Show dependency treegraph
 
Reported: 2003-04-22 14:59 EDT by Need Real Name
Modified: 2007-10-23 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-11 11:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-22 14:59:24 EDT
Description of problem:

If I put systems into the system set manager, then go to Install packages within
the System Set, it winds up indicating that it will apply the installation to
all systems subscribed to the same channel (eg. RH Linux 8.0), not just the ones
in the current system set.  This behaviour does not happen with the Remove
packages feature.

Version-Release number of selected component (if applicable):


How reproducible:  Happens consistently, within my limited patience for testing :-)


Steps to Reproduce:
1.Select several systems subscribed to a single RHN channel and verify they are
in the System Set Manager.
2.Go to the Packages tab (within SSM) and click "Install new packages".  
3.Click on the appropriate channel.
4.Select one or more packages for installation and attempt to proceed with the
installation by hitting the "Install packages" button.
    
Actual results:  All systems subscribed to the selected channel will show up in
the list of systems to be acted on, not just the ones in the System Set Manager.


Expected results:  The action should only be applied to the systems currently in
the System Set Manager


Additional info:
Comment 1 Josef Komenda 2003-04-22 15:07:26 EDT
Confirmed - it only performs the package install on the system in the SSM, abut
the confirmation screen shows all affected systems. Raising the severity and
pushing into the next release.
Comment 2 Bret McMillan 2003-04-23 16:47:01 EDT
Fixed in HEAD.
Comment 3 Josef Komenda 2003-06-03 18:48:40 EDT
Fixed in Satellite, still happens in webdev.
Comment 4 Josef Komenda 2003-06-04 09:57:30 EDT
Correction, fixed in both.
Comment 5 Josef Komenda 2003-06-09 13:53:06 EDT
Looks good in WebQA and -38, PROD Ready.
Comment 6 Josef Komenda 2003-07-11 11:35:28 EDT
Looks good in prod.

Note You need to log in before you can comment on or make changes to this bug.